Skip to content

Product Rankings - Most Promoted

Introduction

Retrieve most promoted products, with the following features:

  • Supports filtering parameters
  • Supports custom result sorting

API Endpoint

bash
    POST /product/v1/rank/mostPromoted

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoPage number, default: 1
pagesizeintegerNoItems per page, default: 10

filter Optional Values

FieldTypeRequiredDescription
regionstringNoCountry/Region
date_infoobjectNoDate info, e.g., {'type': 'day', 'value': '2026-02-01'}
category_idintegerNoProduct category
is_cross_borderintegerNoIs the product cross-border
is_fully_managedintegerNoIs the product fully managed

Available regions: ['US', 'ID', 'GB', 'VN', 'TH', 'MY', 'PH', 'SG', 'ES', 'MX', 'DE', 'FR', 'IT', 'BR', 'JP']

orderby Optional Values

FieldRequiredDescription
affiliate_countNoAffiliate count (descending)
total_affiliate_countNoTotal affiliate count (descending)

Request Example

bash
curl 'https://openapi.fastmoss.com/product/v1/rank/mostPromoted' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 2,
        "date_info": {
            "type": "day",
            "value": "2026-02-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-18"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-02"
        # }
    },
     "orderby": [
      {
        "field": "affiliate_count",
        "order": "desc"
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

  • Type: integer
  • Description: Total number of results

data.list

FieldTypeDescription
product_idstringProduct ID
titlestringProduct title
regionstringCountry/Region
coverstringProduct cover URL
categoryobjectProduct category
commission_rateintegerCommission rate
real_pricestringProduct price
currencystringprice currency
units_soldintegerSales volume
gmvintegerRevenue
affiliate_countintegerAffiliate count
total_affiliate_countintegerTotal affiliate count
shopobjectShop information

data.list.shop

FieldTypeDescription
seller_idstringShop ID
namestringShop name
avatarstringShop cover URL
total_units_soldintegerShop total sales volume

Response Example

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 500,
    "list": [
      {
        "product_id": "1731252369156444451",
        "units_sold": 833,
        "gmv": 14994,
        "affiliate_count": 214,
        "total_affiliate_count": 8176,
        "off_shelves": 0,
        "launch_time": 1748956607,
        "title": "e.l.f. Halo Glow Skin Tint SPF 50 - Hydrating Serum-Like Concealer with Mineral SPF 50 Sunscreen, Lightweight & Water-Resistant, 18 Shades, 30ml",
        "cover": "https://s.500fd.com/tt_product/f9b6e759e360420384cdacec82808f85~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
        "region": "US",
        "currency": "USD",
        "real_price": "$18.00",
        "commission_rate": 1500,
        "category": {
          "l1": {
            "id": 14,
            "name": "Beauty & Personal Care"
          },
          "l2": {
            "id": 848648,
            "name": "Makeup"
          },
          "l3": {
            "id": 601554,
            "name": "Concealer & Foundation\t"
          }
        },
        "shop": {
          "avatar": "https://s.500fd.com/tt_shop/9ff01cdd6a0e4497aa55aae3403362c5~tplv-omjb5zjo8w-resize-png:300:300.png",
          "seller_id": "7494913857786775843",
          "name": "e.l.f. Cosmetics",
          "total_units_sold": 2369716,
          "is_fully_managed": null
        }
      }
    ]
  }
}